// Define used to check if BLAS library is used
#cmakedefine USE_BLAS

#define BLAS_LIBRARY "@BLAS_LIBRARY@"
#define USE_BLAS_LAPACK "@USE_BLAS_LAPACK@"

#cmakedefine USE_OPENBLAS
#cmakedefine USE_MKL
#cmakedefine USE_NETLIB

#define OPENBLAS_VER "@OPENBLAS_VER@"
#define LAPACK_VER "@LAPACK_VER@"

#ifndef CFS_DEF_USE_BLAS_HH
#define CFS_DEF_USE_BLAS_HH

#ifdef USE_MKL
// Since Intel senselessly decided to rename the BuildNumber member variable
// of the MKLVersion struct to UpdateVersion in MKL 10.2 we define our own 
// struct here. They obviously did it to fuel the hatred of people towards
// them who are responsible for maintaining project builds.
typedef
struct {
  int       MajorVersion;
  int       MinorVersion;
  int       BuildNumber;
  char *    ProductStatus;
  char *    Build;
  char *    Processor; 
  char *    Platform;
} CFSMKLVersion;
#endif

#endif
